UbixOS V2 2.0

Data Structures | Functions
trap.h File Reference
`#include <i386/cpu.h>`
Include dependency graph for trap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | trapframe

## Functions
void | die_if_kernel (char *str, struct trapframe *regs, long err)
void | trap (struct trapframe *)

## Function Documentation

## ◆ die_if_kernel()

void die_if_kernel | ( | char * | str,
|  | struct trapframe * | regs,
|  | long | err
| ) |  |

Definition at line 59 of file trap.c.

References kprintf(), trapframe::tf_cs, trapframe::tf_ds, trapframe::tf_eax, trapframe::tf_ebp, trapframe::tf_ebx, trapframe::tf_ecx, trapframe::tf_edi, trapframe::tf_edx, trapframe::tf_eflags, trapframe::tf_eip, trapframe::tf_err, trapframe::tf_es, trapframe::tf_esi, trapframe::tf_esp, trapframe::tf_fs, trapframe::tf_gs, trapframe::tf_ss, and trapframe::tf_trapno.

Referenced by __alignmentCheck(), __debug(), __divideError(), __doubleFault(), __floatingPoint(), __machineCheck(), __nmi(), __security(), __simd(), __virtualization(), _intNull(), sys_call(), and sys_call_posix().

Here is the call graph for this function:

## ◆ trap()

void trap | ( | struct trapframe * |  | ) |

Definition at line 101 of file trap.c.

References trapframe::tf_trapno.